Debian Bug report logs - #623702
nagios-plugins: check_host segfault on some sites

version graph

Package: nagios-plugins; Maintainer for nagios-plugins is Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>; Source for nagios-plugins is src:nagios-plugins.

Reported by: Max Kosmach <max@tcen.ru>

Date: Fri, 22 Apr 2011 11:06:02 UTC

Severity: normal

Tags: moreinfo, patch, unreproducible

Found in version nagios-plugins/1.4.15-3

Fixed in versions nagios-plugins/1.4.15-4, nagios-plugins/1.4.15-3squeeze1

Done: Jan Wagner <waja@cyconet.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#623702; Package nagios-plugins. (Fri, 22 Apr 2011 11:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Kosmach <max@tcen.ru>:
New Bug report received and forwarded. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Fri, 22 Apr 2011 11:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Max Kosmach <max@tcen.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nagios-plugins: check_host segfault on some sites
Date: Fri, 22 Apr 2011 14:12:08 +0400
Package: nagios-plugins
Version: 1.4.15-3
Severity: important

check_host segfaults on www.google.ru

/usr/lib/nagios/plugins/check_icmp -H www.google.ru
OK - www.google.ru: rta 78.868ms, lost 0%|rta=78.868ms;200.000;500.000;0; pl=0%;40;80;; rtmax=79.730ms;;;; rtmin=78.445ms;;;;

but

/usr/lib/nagios/plugins/check_host -H www.google.ru
Segmentation fault

 
ls -l /usr/lib/nagios/plugins/check_host /usr/lib/nagios/plugins/check_icmp

lrwxrwxrwx. 1 root root      10 Apr 13 06:32 /usr/lib/nagios/plugins/check_host -> check_icmp
-rwsr-x---. 1 root nagios 43044 Apr 13 06:32 /usr/lib/nagios/plugins/check_icmp


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nagios-plugins depends on:
ii  nagios-plugins-basic         1.4.15-3+b1 Plugins for the nagios network mon
ii  nagios-plugins-standard      1.4.15-3+b1 Plugins for the nagios network mon

nagios-plugins recommends no packages.

Versions of packages nagios-plugins suggests:
ii  nagios3                       3.2.3-1    A host/service/network monitoring 

-- no debconf information




Added tag(s) unreproducible and moreinfo. Request was from Jan Wagner <waja@cyconet.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 22:27:08 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Jan Wagner <waja@cyconet.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 22:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#623702; Package nagios-plugins. (Wed, 27 Apr 2011 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Wed, 27 Apr 2011 22:30:03 GMT) Full text and rfc822 format available.

Message #14 received at 623702@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: Max Kosmach <max@tcen.ru>, 623702@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#623702: nagios-plugins: check_host segfault on some sites
Date: Thu, 28 Apr 2011 00:22:01 +0200
tags 623702 + moreinfo unreproducible
severity 623702 normal
thanks

Hi Max,

thanks for your bugreport.

On Freitag, 22. April 2011, Max Kosmach wrote:
> check_host segfaults on www.google.ru
> 
> /usr/lib/nagios/plugins/check_icmp -H www.google.ru
> OK - www.google.ru: rta 78.868ms, lost 0%|rta=78.868ms;200.000;500.000;0;
> pl=0%;40;80;; rtmax=79.730ms;;;; rtmin=78.445ms;;;;
> 
> but
> 
> /usr/lib/nagios/plugins/check_host -H www.google.ru
> Segmentation fault

Unfortunately I can't reproduce your problem. Running the command as root on 
sid works well. As www.google.ru seems to be geo-ip driven, that my not a good 
test-case. Could you please run check_host in verbose mode? Do you run it as 
root or as normal user?

# /usr/lib/nagios/plugins/check_host -v -H www.google.ru
ttl set to 64
Setting alarm timeout to 10 seconds
packets: 5, targets: 3
target_interval: 0.000, pkt_interval 1000.000
crit.rta: 1000.000
max_completion_time: 31000.000
max_completion_time: 31000000  timeout: 10
Timout must be at lest 32
crit = {1000000, 100%}, warn = {1000000, 100%}
pkt_interval: 1000000  target_interval: 0  retry_interval: 0
icmp_pkt_size: 64  timeout: 10
handle_random_icmp(0xbfe91090, 0xbfe910c8)
Packet is no response to a packet we sent
20.000 ms rtt from 74.125.79.99, outgoing ttl: 64, incoming ttl: 51, max: 
20.000, min: 20.000
OK - www.google.ru responds to ICMP. Packet 1, rta 20.000ms|pkt=1;;0;5 
rta=20.000;1000.000;1000.000;;

# dpkg -l | grep nagios-plugins
ii  nagios-plugins-basic               1.4.15-3+b1                 Plugins for 
the nagios network monitoring and management system

With kind regards, Jan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#623702; Package nagios-plugins. (Wed, 27 Apr 2011 23:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Kosmach <max@tcen.ru>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Wed, 27 Apr 2011 23:18:07 GMT) Full text and rfc822 format available.

Message #19 received at 623702@bugs.debian.org (full text, mbox):

From: Max Kosmach <max@tcen.ru>
To: Jan Wagner <waja@cyconet.org>
Cc: 623702@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#623702: nagios-plugins: check_host segfault on some sites
Date: Thu, 28 Apr 2011 03:08:05 +0400
28.04.2011 2:22, Jan Wagner пишет:
> Unfortunately I can't reproduce your problem. Running the command as root on
> sid works well. As www.google.ru seems to be geo-ip driven, that my not a good
> test-case. Could you please run check_host in verbose mode? Do you run it as
> root or as normal user?
>
> # /usr/lib/nagios/plugins/check_host -v -H www.google.ru
> ttl set to 64
> Setting alarm timeout to 10 seconds
> packets: 5, targets: 3
> target_interval: 0.000, pkt_interval 1000.000
> crit.rta: 1000.000
> max_completion_time: 31000.000
> max_completion_time: 31000000  timeout: 10
> Timout must be at lest 32
> crit = {1000000, 100%}, warn = {1000000, 100%}
> pkt_interval: 1000000  target_interval: 0  retry_interval: 0
> icmp_pkt_size: 64  timeout: 10
> handle_random_icmp(0xbfe91090, 0xbfe910c8)
> Packet is no response to a packet we sent
> 20.000 ms rtt from 74.125.79.99, outgoing ttl: 64, incoming ttl: 51, max:
> 20.000, min: 20.000
> OK - www.google.ru responds to ICMP. Packet 1, rta 20.000ms|pkt=1;;0;5
> rta=20.000;1000.000;1000.000;;
 /usr/lib/nagios/plugins/check_host -v -H www.google.ru
ttl set to 64
Setting alarm timeout to 10 seconds
packets: 5, targets: 6
target_interval: 0.000, pkt_interval 1000.000
crit.rta: 1000.000
max_completion_time: 61000.000
max_completion_time: 61000000  timeout: 10
Timout must be at lest 62
crit = {1000000, 100%}, warn = {1000000, 100%}
pkt_interval: 1000000  target_interval: 0  retry_interval: 0
icmp_pkt_size: 64  timeout: 10
Segmentation fault

ldd /usr/lib/nagios/plugins/check_host
        linux-gate.so.1 =>  (0xb7747000)
        libnsl.so.1 => /lib/i686/cmov/libnsl.so.1 (0xb771a000)
        libresolv.so.2 => /lib/i686/cmov/libresolv.so.2 (0xb7706000)
        libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb76ec000)
        libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb76e8000)
        libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb75a2000)
        /lib/ld-linux.so.2 (0xb7748000)

 nslookup www.google.ru
Server:         127.0.0.1
Address:        127.0.0.1#53

Non-authoritative answer:
www.google.ru   canonical name = www.google.com.
www.google.com  canonical name = www.l.google.com.
Name:   www.l.google.com
Address: 209.85.149.99
Name:   www.l.google.com
Address: 209.85.149.103
Name:   www.l.google.com
Address: 209.85.149.104
Name:   www.l.google.com
Address: 209.85.149.105
Name:   www.l.google.com
Address: 209.85.149.106
Name:   www.l.google.com
Address: 209.85.149.147



> # dpkg -l | grep nagios-plugins
> ii  nagios-plugins-basic               1.4.15-3+b1                 Plugins for
> the nagios network monitoring and management system

dpkg -l | grep nagios-plugins
ii  nagios-plugins                                 1.4.15-3 
          Plugins for the nagios network monitoring and management system
ii  nagios-plugins-basic                           1.4.15-3+b1 
          Plugins for the nagios network monitoring and management system
ii  nagios-plugins-standard                        1.4.15-3+b1 
          Plugins for the nagios network monitoring and management system

PS.  if I try unstripped binary:
gdb check_host
(gdb) set args -H www.google.ru
(gdb) run
Starting program: 
/opt2/proj/deb/nagios-plugins-1.4.15/plugins-root/check_host -H 
www.google.ru
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x0804bb40 in run_checks (argc=3, argv=<value optimized out>) at 
check_icmp.c:654
654                             if(table[t]->flags & FLAG_LOST_CAUSE) {

(gdb) print table[t]->flags
Cannot access memory at address 0x7f

(gdb) bt
#0  0x0804bb40 in run_checks (argc=3, argv=<value optimized out>) at 
check_icmp.c:654
#1  main (argc=3, argv=<value optimized out>) at check_icmp.c:633





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#623702; Package nagios-plugins. (Wed, 27 Apr 2011 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Kosmach <max@tcen.ru>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Wed, 27 Apr 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 623702@bugs.debian.org (full text, mbox):

From: Max Kosmach <max@tcen.ru>
To: Jan Wagner <waja@cyconet.org>
Cc: 623702@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#623702: nagios-plugins: check_host segfault on some sites
Date: Thu, 28 Apr 2011 03:21:28 +0400
Some additional info - same problem with www.mail.ru






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#623702; Package nagios-plugins. (Wed, 27 Apr 2011 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Kosmach <max@tcen.ru>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Wed, 27 Apr 2011 23:30:03 GMT) Full text and rfc822 format available.

Message #29 received at 623702@bugs.debian.org (full text, mbox):

From: Max Kosmach <max@tcen.ru>
To: Jan Wagner <waja@cyconet.org>
Cc: 623702@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#623702: nagios-plugins: check_host segfault on some sites
Date: Thu, 28 Apr 2011 03:26:07 +0400
28.04.2011 3:21, Max Kosmach пишет:
> Some additional info - same problem with www.mail.ru
>
>
And another info:

I think this code is the root of the segfault

check_icmp.c
...
        table = malloc(sizeof(struct rta_host **) * (argc - 1));
...





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#623702; Package nagios-plugins. (Thu, 28 Apr 2011 07:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Thu, 28 Apr 2011 07:51:10 GMT) Full text and rfc822 format available.

Message #34 received at 623702@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Max Kosmach <max@tcen.ru>, Nagios Plugin Developers <nagiosplug-devel@lists.sourceforge.net>, 623702@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#623702: nagios-plugins: check_host segfault on some sites
Date: Thu, 28 Apr 2011 09:40:36 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Apr 22, 2011 at 02:12:08PM +0400, Max Kosmach wrote:
> check_host segfaults on www.google.ru
> 
> /usr/lib/nagios/plugins/check_icmp -H www.google.ru
> OK - www.google.ru: rta 78.868ms, lost 0%|rta=78.868ms;200.000;500.000;0; pl=0%;40;80;; rtmax=79.730ms;;;; rtmin=78.445ms;;;;
> 
> but
> 
> /usr/lib/nagios/plugins/check_host -H www.google.ru
> Segmentation fault

This happens when specifying a host-name that resolves to more than one
IP. A fix is available in the sh/pu branch in my nagiosplug.git [1].

Cheers,
Sebastian

[1] <http://git.tokkee.org/?p=nagiosplug.git;a=commit;h=2b01a46>
    or: <https://github.com/tokkee/nagiosplug/tree/sh/pu>

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Sebastian Harl <tokkee@debian.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 08:06:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jan Wagner <waja@alioth.debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 19:27:08 GMT) Full text and rfc822 format available.

Reply sent to Jan Wagner <waja@cyconet.org>:
You have taken responsibility. (Wed, 18 May 2011 15:03:13 GMT) Full text and rfc822 format available.

Notification sent to Max Kosmach <max@tcen.ru>:
Bug acknowledged by developer. (Wed, 18 May 2011 15:03:13 GMT) Full text and rfc822 format available.

Message #43 received at 623702-close@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: 623702-close@bugs.debian.org
Subject: Bug#623702: fixed in nagios-plugins 1.4.15-4
Date: Wed, 18 May 2011 15:02:14 +0000
Source: nagios-plugins
Source-Version: 1.4.15-4

We believe that the bug you reported is fixed in the latest version of
nagios-plugins, which is due to be installed in the Debian FTP archive:

nagios-plugins-basic_1.4.15-4_i386.deb
  to main/n/nagios-plugins/nagios-plugins-basic_1.4.15-4_i386.deb
nagios-plugins-standard_1.4.15-4_i386.deb
  to main/n/nagios-plugins/nagios-plugins-standard_1.4.15-4_i386.deb
nagios-plugins_1.4.15-4.diff.gz
  to main/n/nagios-plugins/nagios-plugins_1.4.15-4.diff.gz
nagios-plugins_1.4.15-4.dsc
  to main/n/nagios-plugins/nagios-plugins_1.4.15-4.dsc
nagios-plugins_1.4.15-4_all.deb
  to main/n/nagios-plugins/nagios-plugins_1.4.15-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Wagner <waja@cyconet.org> (supplier of updated nagios-plugins package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 May 2011 16:31:35 +0200
Source: nagios-plugins
Binary: nagios-plugins nagios-plugins-basic nagios-plugins-standard
Architecture: source all i386
Version: 1.4.15-4
Distribution: unstable
Urgency: low
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Changed-By: Jan Wagner <waja@cyconet.org>
Description: 
 nagios-plugins - Plugins for the nagios network monitoring and management system
 nagios-plugins-basic - Plugins for the nagios network monitoring and management system
 nagios-plugins-standard - Plugins for the nagios network monitoring and management system
Closes: 569028 611914 623702
Changes: 
 nagios-plugins (1.4.15-4) unstable; urgency=low
 .
   * Add 13_check_smtp_greeting.dpatch (Closes: #611914), thanks Daniel Piddock
     for spotting and Holger Weiss for providing a fix
     - Abort immediately if we don't receive a server greeting or if the
       greeting doesn't contain the "--expect"ed string (by default: "220")
       instead of blindly sending the EHLO/HELO line.
   * Add 14_check_icmp_multiple_ips.dpatch (Closes: #623702), thanks Max Kosmach
     for spotting and Sebastian Harl for providing a fix
     - When specifying a host-name on the command line, each of its IPs is added
       to the host table (and each one is pinged). So, the buffer has to be large
       enough to hold all of the respective host objects. (argc - 1) only fits
       hosts with a single IP.
   * Move libraries linked at compile time against checks of
     nagios-plugins-standard from Depends to Recommends (Closes: #569028)
     - Add slightly modified bin/gen_plugin_deps.pl from collectd source package
     - Add linked libraries via bin/gen_plugin_deps.pl into
       /usr/share/doc/nagios-plugins-standard/README.Debian.plugins
     - Build-Depend on perl
     - Create customized substvars for nagios-plugins-standard via
       dpkg-shlibdeps in debian/rules
     - Remove temporary files via clean target in debian/rules
     - Add hint to NEWS.Debian
Checksums-Sha1: 
 7621c8b7af6b8d5ac26e8dfb10256553de7bdb06 1548 nagios-plugins_1.4.15-4.dsc
 7a94ac5b4bf82db055feec3ab845e5bf524eae07 35359 nagios-plugins_1.4.15-4.diff.gz
 6784b27de1e3d6818c2d7e545bb4ae5a6979af01 21552 nagios-plugins_1.4.15-4_all.deb
 e6441ac6670a35ee51d61fa79ebe2e5666c93581 777798 nagios-plugins-basic_1.4.15-4_i386.deb
 0eca11d83b7e5500c4384e346e41f54b69832f99 378542 nagios-plugins-standard_1.4.15-4_i386.deb
Checksums-Sha256: 
 41991c4035578ae6210a30a0a59f7b9a8213913b594abdde12e03450336778bc 1548 nagios-plugins_1.4.15-4.dsc
 5098ce1517027f9a49d54dedc1ee147af8bf872eede9af6c01dde7bd221b103f 35359 nagios-plugins_1.4.15-4.diff.gz
 5dc8bb441636a8abb796ce43d9d277b90d5057a510b769d754ca904462f0a5c1 21552 nagios-plugins_1.4.15-4_all.deb
 2c54b3bdc6215135acc3118117dfee0ff38e8bbf1381e69f126ceaba50c825f7 777798 nagios-plugins-basic_1.4.15-4_i386.deb
 b39b79cd304aafc88aad8283783bb8f0595963502b1b2244a5ae7fc9b8f28b58 378542 nagios-plugins-standard_1.4.15-4_i386.deb
Files: 
 e3f3455554c8b1a8fd4ad4420480741b 1548 net extra nagios-plugins_1.4.15-4.dsc
 b6e0be4fae7c555b684e7d51a46b872b 35359 net extra nagios-plugins_1.4.15-4.diff.gz
 b5737189bd8ae1275190110601db27b5 21552 net extra nagios-plugins_1.4.15-4_all.deb
 a17da7173e9c1ac02c49beee8f437fd0 777798 net extra nagios-plugins-basic_1.4.15-4_i386.deb
 120d6a0ca20171315a49ad4e03cdc04c 378542 net extra nagios-plugins-standard_1.4.15-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFN091w9u6Dud+QFyQRAsbKAJ9o4w9dzgBNdaqJ0C9ArNO8/fU5owCg0Kkg
YcocnvtCdnAhcXEfkQB3UIE=
=HTcR
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Jan Wagner <waja@alioth.debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 19:36:03 GMT) Full text and rfc822 format available.

Reply sent to Jan Wagner <waja@cyconet.org>:
You have taken responsibility. (Mon, 23 May 2011 01:57:03 GMT) Full text and rfc822 format available.

Notification sent to Max Kosmach <max@tcen.ru>:
Bug acknowledged by developer. (Mon, 23 May 2011 01:57:04 GMT) Full text and rfc822 format available.

Message #50 received at 623702-close@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: 623702-close@bugs.debian.org
Subject: Bug#623702: fixed in nagios-plugins 1.4.15-3squeeze1
Date: Mon, 23 May 2011 01:52:46 +0000
Source: nagios-plugins
Source-Version: 1.4.15-3squeeze1

We believe that the bug you reported is fixed in the latest version of
nagios-plugins, which is due to be installed in the Debian FTP archive:

nagios-plugins-basic_1.4.15-3squeeze1_i386.deb
  to main/n/nagios-plugins/nagios-plugins-basic_1.4.15-3squeeze1_i386.deb
nagios-plugins-standard_1.4.15-3squeeze1_i386.deb
  to main/n/nagios-plugins/nagios-plugins-standard_1.4.15-3squeeze1_i386.deb
nagios-plugins_1.4.15-3squeeze1.diff.gz
  to main/n/nagios-plugins/nagios-plugins_1.4.15-3squeeze1.diff.gz
nagios-plugins_1.4.15-3squeeze1.dsc
  to main/n/nagios-plugins/nagios-plugins_1.4.15-3squeeze1.dsc
nagios-plugins_1.4.15-3squeeze1_all.deb
  to main/n/nagios-plugins/nagios-plugins_1.4.15-3squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Wagner <waja@cyconet.org> (supplier of updated nagios-plugins package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 May 2011 21:21:05 +0200
Source: nagios-plugins
Binary: nagios-plugins nagios-plugins-basic nagios-plugins-standard
Architecture: source all i386
Version: 1.4.15-3squeeze1
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Changed-By: Jan Wagner <waja@cyconet.org>
Description: 
 nagios-plugins - Plugins for the nagios network monitoring and management system
 nagios-plugins-basic - Plugins for the nagios network monitoring and management system
 nagios-plugins-standard - Plugins for the nagios network monitoring and management system
Closes: 623702
Changes: 
 nagios-plugins (1.4.15-3squeeze1) stable-proposed-updates; urgency=low
 .
   * Add 14_check_icmp_multiple_ips.dpatch (Closes: #623702), thanks Max Kosmach
     for spotting and Sebastian Harl for providing a fix
     - When specifying a host-name on the command line, each of its IPs is added
       to the host table (and each one is pinged). So, the buffer has to be large
       enough to hold all of the respective host objects. (argc - 1) only fits
       hosts with a single IP.
Checksums-Sha1: 
 59bcbe7bcbdce58b96748ad3503df25ec0b0321b 1574 nagios-plugins_1.4.15-3squeeze1.dsc
 09c7de72fb37d69027924f457c2eeaaf09d04785 33367 nagios-plugins_1.4.15-3squeeze1.diff.gz
 afc69754f83a6b8c5a9a0c14e3d3425f66f537b5 21278 nagios-plugins_1.4.15-3squeeze1_all.deb
 87b2a6af4fe74b1f655bfb6a882ade28b45eed91 687418 nagios-plugins-basic_1.4.15-3squeeze1_i386.deb
 146061b0852cfb28767963444463b9f120d65856 351660 nagios-plugins-standard_1.4.15-3squeeze1_i386.deb
Checksums-Sha256: 
 4f89bdaf8529986c42f3a77857f1d181a229b88e8a8492ab06bc6d51adf788a9 1574 nagios-plugins_1.4.15-3squeeze1.dsc
 afd3e1953e6eedf1ad79f8ec2a11a35a2b3849a8c14208439bfc18d0f46dfdbb 33367 nagios-plugins_1.4.15-3squeeze1.diff.gz
 20bf8073f1d3dd282a175294c86db162b83b6f9d3305442b6416625bf4e3f2b8 21278 nagios-plugins_1.4.15-3squeeze1_all.deb
 3b2ad1db2f5d2935d5f7abacabd26b64a2192ebd31d61b4e725710d05dc4302c 687418 nagios-plugins-basic_1.4.15-3squeeze1_i386.deb
 aa7396e627b74e3edcc80364ed623fe8e5d718cdc7d5e47911f48ad776d37f70 351660 nagios-plugins-standard_1.4.15-3squeeze1_i386.deb
Files: 
 c280ce96f07ef5ddafdcbe447c88ac4c 1574 net extra nagios-plugins_1.4.15-3squeeze1.dsc
 7b588707f0c19c188b4d2c530bb9226a 33367 net extra nagios-plugins_1.4.15-3squeeze1.diff.gz
 5fa32a352286875e20595ba414f57b3e 21278 net extra nagios-plugins_1.4.15-3squeeze1_all.deb
 8f9fe73d71cf7064f0e049192a8be44b 687418 net extra nagios-plugins-basic_1.4.15-3squeeze1_i386.deb
 e7701347871bc2447ac9fd1d05df289f 351660 net extra nagios-plugins-standard_1.4.15-3squeeze1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFN2W/t9u6Dud+QFyQRAvIOAJ0Qyw+ZytetxnC1g+b9FLK8+modGgCgtJaR
y16pwCb2Hod9AIaZ9QqqZ7c=
=55u9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jun 2011 07:31:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:06:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.